---
title: "Channel Program Manager"
---

The Channel Program Manager will be responsible for the design, management & execution of Gitlab’s Channels & Alliances Partner Programs.  In addition to the partner programs, the Channel Program Managers will manage deal registration, recruitment and partner success programs and manage the partner advisory council.


## Levels

| Role | Grade |
| -- | - |
| [Junior Channel Program Manager](#junior-channel-program-manager) | [Grade 5](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Channel Program Manager](#channel-program-manager) | [Grade 6](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Channel Program Manager](#junior-channel-program-manager) | [Grade 7](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)
| [Lead Channel Program Manager](#lead-channel-program-manager) | [Grade 8](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)
| [Manager, Channel Program](#manager-channel-program) | [Grade 8](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Manager, Channel Program](#senior-manager-channel-program) | [Grade 9](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Director, Channel Program](#director-channel-programs) | [Grade 10](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Director, Channel Program](#director-channel-programs) | [Grade 11](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |

## Junior Channel Program Manager

The Junior Channel Program Manager reports to the Manager, Channel Programs.

#### Job Grade

The Junior Channel Program Manager is a [grade 5](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

To be defined at time of business need.

#### Requirements

To be defined at time of business need.

## Channel Program Manager

#### Job Grade

The Channel Program Manager is a [grade 6](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

The Channel Program Manager will be responsible for the design, management & execution of Gitlab’s Channels Partner Programs. In addition to the partner programs, the Channel Programs Managers will manage deal registration, sales engagement and partner success programs and support partner events.
- Collaborate across Channels & Alliances teams to gather requirements for Programs
- Support the development and management of Partner Programs such as incentive, MDF, Reseller, Services, Alliances, Deal Registration and other programs
- Develop program guides that details requirements and benefits, terms and conditions, etc.
- Support communications to the channel via portal, newsletters, social channels.
- Design and launch sales / channel / partner rules of engagement.
- Design & launch field enablement for Partner Program elements such as, Incentives, Rules of Engagement, Deal Reg, How to Partner, etc.
- Collect and manage feedback from channel partners into the ongoing roadmap for the Channel Program.
- Work cross functionally with sales operations, marketing, finance, enablement and technical teams to secure, operationalize and manage all the committed benefits to the partners.
- Document policies and processes to support all aspects of the program and enable global execution.
- Establish and track metrics of the program, run a quarterly compliance process with the Channel & Alliances field.
- Manage and measure the results of programs.  Iterate to improve.
- Lead programs for individual role specific areas of focus.  These could include, SMB / MM segment, partner types (e.g. distributors), communications / portal, regions / emerging markets, etc.

#### Requirements

- Bachelor’s degree with demonstrated progressive experience in channel programs.
- Experience building and managing a partner program, preferably in the DevOps space
- Excellent communication, analytical and organizational skills.
- Execution & revenue focused
- Great project & program management skills, ability to leverage, manage & lead virtual teams


## Senior Channel Program Manager

#### Job Grade

The Senior Channel Program Manager is a [grade 7](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

The Sr. Channel Program Manager will be responsible for the design, management & execution of Gitlab’s global Channels Partner Programs. In addition to the partner programs, the Sr. Channel Programs Managers will manage deal registration, sales engagement and partner success programs and support partner events.  The Senior Channel Prgoram Manager is expected to collaborate at senior levels of the Sales, Finance, Marketing and other organizations and drive alignment around specific channel programs with those organizations.
- Collaborate across Channels & Alliances teams to gather requirements for Programs
- Design, build and manage Partner Programs including the Program Guide, MDF Program, Reseller, Services, Alliances, Deal Registration Program, etc.
- Design program guides that detail requirements and benefits, terms and conditions, etc.
- Together with Channel Operations, lead the overall partner experience including design changes for the partner portal.
- Manage communications to the channel via portal, newsletters, webcasts, social channels.  Lead the development of messaging and content for partner events such as Partner Sales Kick-off and Partner Summits.
- Document policies and processes to support all aspects of the program, including field / channel rules of engagement and enable global execution
- Design & launch field enablement on Partner Program, Rules of Engagement, Deal Reg, How to Partner, etc.  Collaborate with with Field Enablement in the development of enablement materials
- Collect and manage feedback from channel partners into the ongoing roadmap for the Channel Program.
- Work cross functionally with sales operations, marketing, finance, enablement and technical teams to secure, operationalize and manage all the committed benefits to the partners.
- Establish and track metrics of the program, run a quarterly compliance process with the Channel & Alliances field.
- Individual role specific areas of expertise.  These areas of expertise include, SMB / MM segment, partner types (e.g. distributors), communications / portal, regions / emerging markets, etc.


#### Requirements

- Bachelor’s degree with demonstrated progressive experience in channel programs.
- Experience building and managing a partner program, preferably in the DevOps space
- Excellent communication, analytical and organizational skills.
- Execution & revenue focused
- Great project & program management skills, ability to leverage, manage & lead virtual teams


## Lead Channel Program Manager

#### Job Grade

The Lead Channel Program Manager is a [grade 8](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- The Lead Channel Program Manager will set the direction and roadmap for the overall Channel Partner Program.  They will define and lead key initiatives and program changes to increase the program value to partners and GitLab.
- Responsible for the design, management & execution of Gitlab’s global Channels Partner Programs.
- Manage deal registration, sales engagement and partner success programs and support partner events.
- Collaborate at senior levels of the Sales, Finance, Marketing and other organizations and drive alignment around specific channel programs with those organizations.
- Collaborate across Channels & Alliances teams to gather requirements for Programs
- Design, build and manage Partner Programs including incentive programs, MDF Program, Reseller, Services, Alliances, Deal Registration Program, etc.
- Design program guides that detail requirements and benefits, terms and conditions, etc.
- Together with Channel Operations, lead the overall partner experience including design changes for the partner portal.
- Manage communications to the channel via portal, newsletters, webcasts, social channels.  Support the development of messaging and content for partner events such as Partner Sales Kick-off and Partner Summits.
- Document policies and processes to support all aspects of the program, including field / channel rules of engagement and enable global execution
- Design & launch field enablement on Partner Program, Rules of Engagement, Deal Reg, How to Partner, etc.  Collaborate with with Field Enablement in the development of enablement materials
- Collect and manage feedback from channel partners into the ongoing roadmap for the Channel Program.
Establish and track metrics of the program, run a quarterly compliance process with the Channel & Alliances field.


#### Requirements

- Bachelor’s degree with demonstrated progressive experience in channel programs.
- Experience building and managing partner programs, preferably in the DevOps space.  Programs should include incentive, deal registration, MDF, emerging markets and other programs to drive value for partners and GitLab.
- Excellent communication, analytical and organizational skills.
- Execution & revenue focused
- Great project & program management skills, ability to leverage, manage & lead virtual teams


## Manager, Channel Program

#### Job Grade

The Manager, Channel Program is a [grade 8](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

To be defined at time of business need.

#### Requirements

To be defined at time of business need.


## Senior Manager, Channel Program

#### Job Grade

The Senior Manager, Channel Program is a [grade 9](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

The Sr. Manager, Channel Program will be responsible for the design, management & execution of Gitlab’s global Channels Partner Programs, as well as managing a team of Channel Program Managers. In addition to the partner programs, the Senior Manager, Channel Program will manage deal registration, sales engagement and partner success programs and support partner events.  The Senior Manager is expected to collaborate at senior levels of the Sales, Finance, Marketing and other organizations and drive alignment around specific channel programs with those organizations.
- Collaborate across Channels & Alliances teams to gather requirements for Programs
- Design, build and manage Partner Programs including the Program Guide, MDF Program, Reseller, Services, Alliances, Deal Registration Program, etc.
- Design program guides that detail requirements and benefits, terms and conditions, etc.
- Together with Channel Operations, lead the overall partner experience including design changes for the partner portal.
- Manage communications to the channel via portal, newsletters, webcasts, social channels.  Lead the development of messaging and content for partner events such as Partner Sales Kick-off and Partner Summits.
- Document policies and processes to support all aspects of the program, including field / channel rules of engagement and enable global execution
- Design & launch field enablement on Partner Program, Rules of Engagement, Deal Reg, How to Partner, etc.  Collaborate with with Field Enablement in the development of enablement materials
- Collect and manage feedback from channel partners into the ongoing roadmap for the Channel Program.
- Work cross functionally with sales operations, marketing, finance, enablement and technical teams to secure, operationalize and manage all the committed benefits to the partners.
- Establish and track metrics of the program, run a quarterly compliance process with the Channel & Alliances field.
- Individual role specific areas of expertise.  These areas of expertise include, SMB / MM segment, partner types (e.g. distributors), communications / portal, regions / emerging markets, etc.
- Manage team of Channel Program Managers, establishing team goals, measuring performance and supporting team member career development.

#### Requirements

- Bachelor’s degree with demonstrated progressive experience in channel programs.
- Experience building and managing a partner program, preferably in the DevOps space
- Excellent communication, analytical and organizational skills.
- Execution & revenue focused
- Great project & program management skills, ability to leverage, manage & lead virtual teams
- Experience recruiting and leading high performing teams

## Director, Channel Programs

#### Job Grade

The Director, Channel Programs is a [grade 10](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

The Director, Channel Program will be responsible for the design, management & execution of Gitlab’s Channels Partner Programs. The Director, Channel Programs will manage a team of Channel Program Managers and Sr. Channel Program Managers In developing, enhancing and measuring the performance of deal registration, sales engagement and partner success programs and support partner events. The Director is expected to establish the vision for the overall channel program, align with Sales on program elements and engagement, and develop the overall financial model for the channel in collaboration with Finance. Collaborate across Channels & Alliances teams to gather requirements for Programs
- Lead the Channel Program team in designing, developing and managing the overall GitLab Channel Programs and individual program elements.
- Program value messaging.  Support program managers in developing program guides that details requirements and benefits, terms and conditions, etc.  Support channel events and with content and messaging.
- Create overall partner experience vision.  Lead team in delivering continuous improvements in partner experience.
- Support communications to the channel via portal, newsletters, social channels.
- Collect and manage feedback from channel partners into the ongoing roadmap for the Channel Program.
- Work cross functionally with sales operations, marketing, finance, enablement and technical leadership to secure, operationalize and manage all the committed benefits to the partners.
- Document policies and processes to support all aspects of the program and enable global execution.
- Establish and track metrics of the program, run a quarterly compliance process with the Channel & Alliances field.
- Work with Sales leadership to support the partners and overall program in their strategies and plans
- Recruit and manage team of Lead and Senior Channel Program Managers, establishing team goals, measuring performance and supporting team member career development.

#### Requirements

- Broad channel experience across programs, operations, marketing and communications
- Leadership experience in managing program teams and global partner programs
- Bachelor’s degree with demonstrated progressive experience in channel programs.
- Experience building and managing a partner program, preferably in the DevOps space
- Excellent communication, analytical and organizational skills.
- Execution & revenue focused
- Experience in working with Sales, Marketing and Finance leadership in developing partner programs and plans.
- Great project & program management skills, ability to leverage, manage & lead virtual teams
- Experience recruiting and leading high performing teams

## Senior Director, Channel Program

The Senior Director, Channel Program reports to the VP of Global Channels.

#### Job Grade

The Senior Director, Channel Program is a [grade 11](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

To be defined at time of business need.

#### Requirements

To be defined at time of business need.

### Performance Indicators

- Partner deal registrations
- Partner sourced revenue and first orders
- Partner certifications
- Partner engagement - portal, events, newsletter

## Career Ladder

Channel Programs team members can continue to expand their responsibilities within the Channel Programs job family to include greater scope and complexity of programs.  Team members may also have a desire to move to other teams based on their career goals:
- Field Enablement for team members with a focus on enablement
- Channel Sales for team members that want more engagement directly with partners
- Channel Marketing for a shift to marketing programs and potentially other marketing roles
- Channel Operations for team members shifting focus into operationalizing channel programs.


### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.
1. Phone screen with a GitLab Recruiting team member
2. Video Interview with the Hiring Manager
3. Team Interviews with 1-4 teammates
Additional details about our process can be found on our [hiring page](https://about.gitlab.com/handbook/hiring/).
